%global     snapdate         20120813
%global     gl3n_revision    1fb5a4a
%global     alphatag         %{snapdate}git%{gl3n_revision}
%global     debug_package    %{nil}

# The source for this package was pulled from upstream's git.
# Use the following commands to generate the tarball:
# git clone https://github.com/Dav1dde/gl3n
# cd gl3n; 
# git rev-parse --short HEAD            -> for gl3n_revision
# git checkout %%gl3n_rev 
# git archive --prefix=gl3n-%%{alphatag}/ HEAD --format=tar | xz > ../gl3n-%%{alphatag}.tar.xz

Name:           gl3n
Version:        0.%{snapdate}
Release:        4%{?dist}
Summary:        An OpenGL Mathematics library for D
Summary(fr):    Une bibliothèque Mathématique utilisant OpenGL pour D

License:        MIT
URL:            http://dav1d.bitbucket.org/gl3n/
Source0:        %{name}-%{alphatag}.tar.xz

BuildRequires:  ldc, ldc-phobos-devel

%description
gl3n provides all the math you need to work with OpenGL, DirectX.
Currently gl3n supports:
 - linear algebra
  + vectors
  + matrices
  + quaternions
 - interpolation
  + linear interpolation (lerp)
  + spherical linear interpolation (slerp)
  + hermite interpolation
  + catmull rom interpolation
Nearly all GLSL defined functions (according to spec 4.1)
The power of D, e.g. dynamic swizzling, templated types (vectors, matrices,
quaternions), impressive constructors and more!

%description -l fr
gl3n fournit toutes les fonctions mathématiques dont vous avez besoin pour
travailler avec OpenGL, DirectX. Actuellement gl3n supporte:
  - Algèbre linéaire
   + vecteurs
   + matrices
   + quaternions
  - interpolation
   + Interpolation linéaire (Lerp)
   + Sphériques interpolation linéaire (slerp)
   + D'interpolation d'Hermite
   + Catmull Rom d'interpolation
Presque toutes les fonctions définies GLSL (conformément aux spécifications 
4.1) La puissance de D, par exemple dynamiques swizzling, types basés sur des
modèles (vecteurs, matrices, quaternions), des constructeurs impressionnant et
plus encore!

%package        devel
Summary:        Support for developing D application
Summary(fr):    Appui pour le développement d'application D
Requires:       %{name}%{?_isa} =  %{version}-%{release}
BuildRequires:  geany

%description devel
The gl3n-devel package contains header files for developing gl3n
applications.

%description devel -l fr_FR
Le paquet gl3n-devel contient les fichiers d'entêtes pour développer
des applications utilisant gl3n.

%prep
%setup -q -n %{name}-%{alphatag}

%build
make %{?_smp_mflags}  all-shared geany-tag DFLAGS_IMPORT="-Igl3n" DCFLAGS="%{_d_optflags}"

%install
# build library
make %{?_smp_mflags} install-shared install-geany-tag PREFIX=%{buildroot}%{_prefix} LIB_DIR=%{buildroot}%{_libdir} DATA_DIR=%{buildroot}%{_datadir} 

%post   -p  /sbin/ldconfig
%postun -p  /sbin/ldconfig

%files
%doc LICENSE
%{_libdir}/lib%{name}-ldc.so.1.0.0
%{_libdir}/lib%{name}-ldc.so.1
%{_defaultdocdir}/%{name}

%files devel
%{_libdir}/lib%{name}-ldc.so
%{_datadir}/geany/tags/gl3n.d.tags
%{_d_includedir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20120813-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 21 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 0.20120813-3
- chaane version format

* Mon Aug 13 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-2.20120813git1fb5a4a
- update gl3n to latest rev

* Fri Dec 9 2011  Jonathan MERCIER <bioinfornatics at gmail.com> 1-1.20111207hg189
- Add doc for devhelp
- Add tag for geany
- Init spec
